8946575d5ac8ae4d568c770ccc9153afe2613f2e
[osm/NBI.git] / setup.py
1 #!/usr/bin/env python3
2 # -*- coding: utf-8 -*-
3
4 # Copyright 2018 Telefonica S.A.
5 #
6 # Licensed under the Apache License, Version 2.0 (the "License");
7 # you may not use this file except in compliance with the License.
8 # You may obtain a copy of the License at
9 #
10 # http://www.apache.org/licenses/LICENSE-2.0
11 #
12 # Unless required by applicable law or agreed to in writing, software
13 # distributed under the License is distributed on an "AS IS" BASIS,
14 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
15 # implied.
16 # See the License for the specific language governing permissions and
17 # limitations under the License.
18
19 import os
20 from setuptools import setup, find_packages
21
22 _name = "osm_nbi"
23 # version is at first line of osm_nbi/html_public/version
24 here = os.path.abspath(os.path.dirname(__file__))
25 # with open(os.path.join(here, 'osm_nbi/html_public/version')) as version_file:
26 # VERSION = version_file.readline().strip()
27 with open(os.path.join(here, 'README.rst')) as readme_file:
28 README = readme_file.read()
29
30 setup(
31 name=_name,
32 description='OSM North Bound Interface',
33 long_description=README,
34 version_command=('git describe --match v* --tags --long --dirty', 'pep440-git-full'),
35 # version=VERSION,
36 # python_requires='>3.5.0',
37 author='ETSI OSM',
38 author_email='alfonso.tiernosepulveda@telefonica.com',
39 maintainer='Alfonso Tierno',
40 maintainer_email='alfonso.tiernosepulveda@telefonica.com',
41 url='https://osm.etsi.org/gitweb/?p=osm/NBI.git;a=summary',
42 license='Apache 2.0',
43
44 packages=find_packages(exclude=["temp", "local"]),
45 include_package_data=True,
46 # exclude_package_data={'': ['osm_nbi/local', 'temp']},
47 # data_files=[('/etc/osm/', ['osm_nbi/nbi.cfg']),
48 # ('/etc/systemd/system/', ['osm_nbi/osm-nbi.service']),
49 # ],
50 dependency_links=[
51 "git+https://osm.etsi.org/gerrit/osm/IM.git#egg=osm-im",
52 'git+https://osm.etsi.org/gerrit/osm/common.git#egg=osm-common'
53 ],
54 install_requires=[
55 'CherryPy==18.0.0',
56 'osm-common',
57 'jsonschema',
58 'PyYAML',
59 'osm-im',
60 'python-keystoneclient',
61 'requests'
62 ],
63 setup_requires=['setuptools-version-command'],
64 )